## FsRtpStream FsRtpStream — A RTP stream in a FsRtpSession in a FsRtpConference |

## Properties

FsRtpHeaderExtensionGList * | rtp-header-extensions | Read / Write
gboolean | send-rtcp-mux | Read / Write

## Types and Values

struct | FsRtpStream

## Object Hierarchy

        GObject
        ╰── FsStream
            ╰── FsRtpStream

## Description

This is the conjunction of a FsRtpParticipant and a FsRtpSession, it is created by calling `fs_session_new_stream()` on a FsRtpSession.

### SRTP authentication & decryption

To tell FsRtpStream to authenticate and decrypt the media it is receiving using SRTP, one must set the parameters using a GstStructure named "FarstreamSRTP" and pass it to `fs_stream_set_decryption_parameters()`. The cipher, auth, and key must be specified, refer to the FsRtpSession documentation for details.

## Functions

## Types and Values

### struct FsRtpStream

    struct FsRtpStream;

## Property Details

### The `“rtp-header-extensions”` property

      “rtp-header-extensions”    FsRtpHeaderExtensionGList *

GList of RTP Header extensions that the participant for this stream would like to use.

Flags: Read / Write

### The `“send-rtcp-mux”` property

      “send-rtcp-mux”            gboolean

Send RTCP muxed with on the same RTP connection.

Flags: Read / Write

Default value: FALSE